import Vue from 'vue';
import { Messages, Metadata } from '@zeedhi/core'; // Movido para antes
import App from './App.vue';
import { vuetify } from './plugins';
import './registerServiceWorker';
import 'roboto-fontface/css/roboto/roboto-fontface.css';
import './components/vuetify/index';
import './styles';

Vue.config.productionTip = false;

declare global {
  interface Window {
    showFullOperatorWindow: any;
  }
}

const loadMessages = async () => {
  const messages = await Metadata.get('json/messages', true);
  const wordsEsCl = await Metadata.get('json/words/es_cl', true); // Espanhol padrão
  const wordsEnUs = await Metadata.get('json/words/en_us', true); // Inglês padrão
  const content = Messages.get();
  const esContent: any = content['es-ES'].translation;

  Messages.add({
    'pt-BR': {
      translation: {
        ...messages,
      },
    },
    'es-CL': {
      translation: {
        ...wordsEsCl,
        ...esContent,
      },
    },
    'en-US': {
      translation: {
        ...wordsEnUs,
      },
    },
  });
};

loadMessages().then(() => {
  new Vue({
    vuetify,
    render: (h) => h(App),
  }).$mount('#app');
});
